Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.CustomEncryptData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | CustomEncryptData (is_encrypt_metadata, filter, sub_filter)
| Constructor, with parameters. More...
def | CustomEncryptData ()
| Constructor.
def | CustomEncryptData (other)
| Constructor, with another custom encrypt data object. More...
def | Set (is_encrypt_metadata, filter, sub_filter)
| Set value. More...

## Static Public Attributes
| filter = _fsdk.CustomEncryptData_filter
| The filter name of a custom security callback object. It should not be an empty string.
| is_encrypt_metadata = _fsdk.CustomEncryptData_is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| sub_filter = _fsdk.CustomEncryptData_sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## Detailed Description

This class represents some data used for class CustomSecurityHandler .

## Constructor & Destructor Documentation

## ◆ CustomEncryptData() [1/2]

def FoxitPDFSDKPython2.CustomEncryptData.CustomEncryptData | ( |  | is_encrypt_metadata,
|  |  | filter,
|  |  | sub_filter
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ CustomEncryptData() [2/2]

def FoxitPDFSDKPython2.CustomEncryptData.CustomEncryptData | ( |  | other | ) |

Constructor, with another custom encrypt data object.

Parameters

  [in] | other | Another custom encrypt data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.CustomEncryptData.Set | ( |  | is_encrypt_metadata,
|  |  | filter,
|  |  | sub_filter
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.